#if !defined(AFX_GETACCESSTREE_H__957C6D4C_8E25_4606_86C6_C05C82AEC1B7__INCLUDED_)
#define AFX_GETACCESSTREE_H__957C6D4C_8E25_4606_86C6_C05C82AEC1B7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GetAccessTree.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGetAccessTree dialog

class CGetAccessTree : public CDialog
{
// Construction
public:
	CGetAccessTree(CWnd* pParent = NULL);   // standard constructor
	CGetAccessTree(IApplication *pApp);

// Dialog Data
	//{{AFX_DATA(CGetAccessTree)
	enum { IDD = IDD_ACCESS_TREE };
	CComboBox	m_ALlist;
	CComboBox	m_AcctList;
	CComboBox	m_SubAcctList;
	CString	m_sXML;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGetAccessTree)
	public:
	virtual void OnFinalRelease();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CGetAccessTree)
	afx_msg void OnSelchangeAccllist();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangeSubAcctlist();
	afx_msg void OnBtnGetAATree();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	// Generated OLE dispatch map functions
	//{{AFX_DISPATCH(CGetAccessTree)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()
	DECLARE_INTERFACE_MAP()

private:
	IApplicationPtr pApplication;
	void LoadAccounts();
	void LoadSubAccounts(long lAcctID);
	void LoadAccessLevels();

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GETACCESSTREE_H__957C6D4C_8E25_4606_86C6_C05C82AEC1B7__INCLUDED_)
